### Method

# Ide Notification attach

#### Declaration

    void
    ide_notification_attach (
      IdeNotification* self,
      IdeObject* object
    )

#### Description

This function will locate the `IdeNotifications` object starting from `object` and attach `self` as a child to that object.

Available since: | 3.32

#### Parameters

`object` | `IdeObject`
| An `IdeObject`.
| The data is owned by the caller of the function.